Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.handler
Class AbstractHandlerContainer

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.handler.AbstractHandler
              org.mortbay.jetty.handler.AbstractHandlerContainer

All Implemented Interfaces:
  LifeCycle, Handler, HandlerContainer

Direct Known Subclasses:
  HandlerCollection, HandlerWrapper

    public abstract class AbstractHandlerContainer

extends AbstractHandler
implements HandlerContainer

Abstract Handler Container. This is the base class for handlers that may contain other handlers.

Author:
  gregw

Nested Class Summary

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.mortbay.jetty.handler.AbstractHandler
`_string`

Fields inherited from class org.mortbay.component.AbstractLifeCycle
`_listeners`

Fields inherited from interface org.mortbay.jetty.Handler
`ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

Constructor Summary
`AbstractHandlerContainer()`

Method Summary
`protected java.lang.Object` | `expandChildren(java.lang.Object list, java.lang.Class byClass)`
`protected java.lang.Object` | `expandHandler(Handler handler, java.lang.Object list, java.lang.Class byClass)`
`Handler` | `getChildHandlerByClass(java.lang.Class byclass)`
`Handler[]` | `getChildHandlers()`
`Handler[]` | `getChildHandlersByClass(java.lang.Class byclass)`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandler
`destroy, doStart, doStop, getServer, setServer, toString`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.jetty.HandlerContainer
`addHandler, removeHandler`

Methods inherited from interface org.mortbay.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from interface org.mortbay.jetty.Handler
`handle`

Constructor Detail

### AbstractHandlerContainer

    public AbstractHandlerContainer()

Method Detail

### getChildHandlers

    public Handler[] getChildHandlers()

  Specified by:
    `getChildHandlers` in interface `HandlerContainer`

### getChildHandlersByClass

    public Handler[] getChildHandlersByClass(java.lang.Class byclass)

  Specified by:
    `getChildHandlersByClass` in interface `HandlerContainer`

### getChildHandlerByClass

    public Handler getChildHandlerByClass(java.lang.Class byclass)

  Specified by:
    `getChildHandlerByClass` in interface `HandlerContainer`

### expandChildren

    protected java.lang.Object expandChildren(java.lang.Object list,
                                              java.lang.Class byClass)

### expandHandler

    protected java.lang.Object expandHandler(Handler handler,
                                             java.lang.Object list,
                                             java.lang.Class byClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.